| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DomainParticipantFactoryQos Class Reference
eProsima Fast DDS API Reference » DDS Public API » Fast DDS Quality of Service (QoS) Module.

Class DomainParticipantFactoryQos, contains all the possible Qos that can be set for a determined participant. More...

`#include <DomainParticipantFactoryQos.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | DomainParticipantFactoryQos ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~DomainParticipantFactoryQos ()
| Destructor.
bool | operator== (const DomainParticipantFactoryQos &b) const
const EntityFactoryQosPolicy & | entity_factory () const
| Getter for EntityFactoryQosPolicy.
EntityFactoryQosPolicy & | entity_factory ()
| Getter for EntityFactoryQosPolicy.
void | entity_factory (const EntityFactoryQosPolicy &entity_factory)
| Setter for EntityFactoryQosPolicy.
rtps::ThreadSettings & | shm_watchdog_thread ()
| Getter for SHM watchdog ThreadSettings.
const rtps::ThreadSettings & | shm_watchdog_thread () const
| Getter for SHM watchdog ThreadSettings.
void | shm_watchdog_thread (const rtps::ThreadSettings &value)
| Setter for the SHM watchdog ThreadSettings.
rtps::ThreadSettings & | file_watch_threads ()
| Getter for file watch related ThreadSettings.
const rtps::ThreadSettings & | file_watch_threads () const
| Getter for file watch related ThreadSettings.
void | file_watch_threads (const rtps::ThreadSettings &value)
| Setter for the file watch related ThreadSettings.

## Detailed Description

Class DomainParticipantFactoryQos, contains all the possible Qos that can be set for a determined participant.

Please consult each of them to check for implementation details and default values.

## Constructor & Destructor Documentation

## ◆ DomainParticipantFactoryQos()

FASTDDS_EXPORTED_API DomainParticipantFactoryQos | ( |  | ) |

inline

Constructor.

## ◆ ~DomainParticipantFactoryQos()

virtual FASTDDS_EXPORTED_API ~DomainParticipantFactoryQos | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## ◆ entity_factory() [1/3]

EntityFactoryQosPolicy & entity_factory | ( |  | ) |

inline

Getter for EntityFactoryQosPolicy.

Returns
  EntityFactoryQosPolicy reference

## ◆ entity_factory() [2/3]

const EntityFactoryQosPolicy & entity_factory | ( |  | ) | const

inline

Getter for EntityFactoryQosPolicy.

Returns
  EntityFactoryQosPolicy reference

## ◆ entity_factory() [3/3]

void entity_factory | ( | const EntityFactoryQosPolicy & | entity_factory | ) |

inline

Setter for EntityFactoryQosPolicy.

Parameters

  entity_factory | EntityFactoryQosPolicy

## ◆ file_watch_threads() [1/3]

rtps::ThreadSettings & file_watch_threads | ( |  | ) |

inline

Getter for file watch related ThreadSettings.

Returns
  rtps::ThreadSettings reference

## ◆ file_watch_threads() [2/3]

const rtps::ThreadSettings & file_watch_threads | ( |  | ) | const

inline

Getter for file watch related ThreadSettings.

Returns
  rtps::ThreadSettings reference

## ◆ file_watch_threads() [3/3]

void file_watch_threads | ( | const rtps::ThreadSettings & | value | ) |

inline

Setter for the file watch related ThreadSettings.

Parameters

  value | New ThreadSettings to be set

## ◆ operator==()

bool operator== | ( | const DomainParticipantFactoryQos & | b | ) | const

inline

## ◆ shm_watchdog_thread() [1/3]

rtps::ThreadSettings & shm_watchdog_thread | ( |  | ) |

inline

Getter for SHM watchdog ThreadSettings.

Returns
  rtps::ThreadSettings reference

## ◆ shm_watchdog_thread() [2/3]

const rtps::ThreadSettings & shm_watchdog_thread | ( |  | ) | const

inline

Getter for SHM watchdog ThreadSettings.

Returns
  rtps::ThreadSettings reference

## ◆ shm_watchdog_thread() [3/3]

void shm_watchdog_thread | ( | const rtps::ThreadSettings & | value | ) |

inline

Setter for the SHM watchdog ThreadSettings.

Parameters

  value | New ThreadSettings to be set

The documentation for this class was generated from the following file:

- include/fastdds/dds/domain/qos/DomainParticipantFactoryQos.hpp